Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.kernel.plugins
Class AbstractKernelObject

    java.lang.Object
      org.jboss.kernel.plugins.event.AbstractEventEmitter
          org.jboss.kernel.plugins.AbstractKernelObject

All Implemented Interfaces:
  KernelEventEmitter, KernelObject

Direct Known Subclasses:
  AbstractBootstrap, AbstractEventManager, AbstractKernelBus, AbstractKernelConfig, AbstractKernelConfigurator, AbstractKernelRegistry

public abstract class AbstractKernelObject
extends AbstractEventEmitter
implements KernelObject

Abstract Bootstrap of the kernel.

Version:
  $Revision: 1.2 $
Author:
  Adrian Brock

Field Summary
`protected Kernel` | `kernel` The kernel
`protected org.jboss.logging.Logger` | `log` The log

Fields inherited from class org.jboss.kernel.plugins.event.AbstractEventEmitter
`eventListenerRegistry, NULL`

Constructor Summary
`AbstractKernelObject()` Create a new abstract kernel object

Method Summary
`Kernel` | `getKernel()` Get the kernel
`void` | `setKernel(Kernel kernel)` Set the kernel.

Methods inherited from class org.jboss.kernel.plugins.event.AbstractEventEmitter
`createEvent, fireKernelEvent, fireKernelEvent, hasListeners, nextEmitterSequence, registerListener, unregisterListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.kernel.spi.event.KernelEventEmitter
`fireKernelEvent, registerListener, unregisterListener`

Field Detail

### log

    protected org.jboss.logging.Logger log

  The log

### kernel

    protected Kernel kernel

  The kernel

Constructor Detail

### AbstractKernelObject

    public AbstractKernelObject()
                         throws Exception

  Create a new abstract kernel object

Throws:
  `Exception` - for any error

Method Detail

### getKernel

    public Kernel getKernel()

  Description copied from interface: `KernelObject`
  Get the kernel

  Specified by:
    `getKernel` in interface `KernelObject`
  Returns:
    the kernel

### setKernel

    public void setKernel(Kernel kernel)
                   throws Throwable

  Description copied from interface: `KernelObject`
  Set the kernel.

  Specified by:
    `setKernel` in interface `KernelObject`
  Parameters:
    `kernel` - the kernel
  Throws:
    `Throwable` - for any error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.